Bug 497135 - (CVE-2009-1196) CVE-2009-1196 cups: DoS (stop, crash) by renewing CUPS browse packets
CVE-2009-1196 cups: DoS (stop, crash) by renewing CUPS browse packets
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090407,public=20090602,sou...
: Security
Depends On: 494547 498016 498017 498023
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 09:48 EDT by Jan Lieskovsky
Modified: 2010-10-26 06:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 03:06:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch by Tim Waugh. (6.65 KB, patch)
2009-04-22 10:09 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-04-22 09:48:53 EDT
Swen van Brussel reported pointer use-after-delete flaw, present in the CUPS directory services routine, processing new data about available printers and printer classes. A remote attacker could suspend, and after a carefully-chosen time interval renew sending of CUPS browse packets to the victim machine
with running cupsd daemon, leading to a denial of service (cupsd daemon
stop or crash).

Acknowledgements:

Red Hat would like to thank Swen van Brussel for reporting this issue.
Comment 13 errata-xmlrpc 2009-06-03 11:54:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1083 https://rhn.redhat.com/errata/RHSA-2009-1083.html

Note You need to log in before you can comment on or make changes to this bug.